org.modeshape.webdav

## Class StoredObject

- java.lang.Object
- - org.modeshape.webdav.StoredObject

-     public class StoredObject
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoredObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getCreationDate()` Gets the date of the creation
    `Date` | `getLastModified()` Gets the date of the last modification
    `String` | `getMimeType()` Retrieve the mime type from the store object.
    `long` | `getResourceLength()` Gets the length of the resource content
    `boolean` | `isFolder()` Determines whether the StoredObject is a folder or a resource
    `boolean` | `isNullResource()` Gets the state of the resource
    `boolean` | `isResource()` Determines whether the StoredObject is a folder or a resource
    `void` | `setCreationDate(Date c)` Sets the date of the creation
    `void` | `setFolder(boolean f)` Sets a new StoredObject as a collection or resource
    `void` | `setLastModified(Date d)` Sets the date of the last modification
    `void` | `setMimeType(String mimeType)` Set the mime type of this object
    `void` | `setNullResource(boolean f)` Sets a StoredObject as a lock-null resource
    `void` | `setResourceLength(long l)` Sets the length of the resource content

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoredObject

          public StoredObject()

  - ### Method Detail

    - #### isFolder

          public boolean isFolder()

      Determines whether the StoredObject is a folder or a resource
      Returns:
        true if the StoredObject is a collection

    - #### isResource

          public boolean isResource()

      Determines whether the StoredObject is a folder or a resource
      Returns:
        true if the StoredObject is a resource

    - #### setFolder

          public void setFolder(boolean f)

      Sets a new StoredObject as a collection or resource
      Parameters:
        `f` - true - collection ; false - resource

    - #### getLastModified

          public Date getLastModified()

      Gets the date of the last modification
      Returns:
        last modification Date

    - #### setLastModified

          public void setLastModified(Date d)

      Sets the date of the last modification
      Parameters:
        `d` - date of the last modification

    - #### getCreationDate

          public Date getCreationDate()

      Gets the date of the creation
      Returns:
        creation Date

    - #### setCreationDate

          public void setCreationDate(Date c)

      Sets the date of the creation
      Parameters:
        `c` - date of the creation

    - #### getResourceLength

          public long getResourceLength()

      Gets the length of the resource content
      Returns:
        length of the resource content

    - #### setResourceLength

          public void setResourceLength(long l)

      Sets the length of the resource content
      Parameters:
        `l` - the length of the resource content

    - #### isNullResource

          public boolean isNullResource()

      Gets the state of the resource
      Returns:
        true if the resource is in lock-null state

    - #### setNullResource

          public void setNullResource(boolean f)

      Sets a StoredObject as a lock-null resource
      Parameters:
        `f` - true to set the resource as lock-null resource

    - #### getMimeType

          public String getMimeType()

      Retrieve the mime type from the store object. Can also return NULL if the store does not handle mime type stuff. In that case the mime type is determined by the servletcontext
      Returns:
        the mimeType

    - #### setMimeType

          public void setMimeType(String mimeType)

      Set the mime type of this object
      Parameters:
        `mimeType` - the mimeType to set

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.